Public Sub AttributeWeiss() Dim a% Dim lay As AcadLayout Dim blk As AcadEntity Dim varAttributRef Dim color As AcadAcCmColor Set color = New AcadAcCmColor Call color.SetRGB(255, 255, 255) For Each lay In ThisDrawing.Layouts If lay.Name <> "Model" Then For Each blk In lay.Block If TypeOf blk Is AcadBlockReference Then If blk.HasAttributes Then varAttributRef = blk.GetAttributes For a = LBound(varAttributRef) To UBound(varAttributRef) varAttributRef(a).color = acByBlock 'varAttributRef(a).Visible = True If varAttributRef(a).TextString = "----" Then varAttributRef(a).TrueColor = color 'varAttributRef(a).Visible = false End If Next a End If Erase varAttributRef End If Next blk End If Next lay End Sub